using System;
using NinjaTrader.Cbi;

internal sealed class Delegate187 : MulticastDelegate
{
	public extern MarketPosition Invoke(object object_0);

	public static MarketPosition smethod_0(object object_0, Delegate187 delegate187_1)
	{
		return delegate187_1(object_0);
	}

	public extern Delegate187(object object_0, IntPtr intptr_0);

	static Delegate187()
	{
		Class10.smethod_13(typeof(Delegate187).TypeHandle);
	}

	internal static Delegate187 delegate187_0;
}
